Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691164 - glusterd leaking memory when issued gluster vol status all tasks continuosly
Summary: glusterd leaking memory when issued gluster vol status all tasks continuosly
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1686255 1694610 1694612
TreeView+ depends on / blocked
 
Reported: 2019-03-21 02:50 UTC by Atin Mukherjee
Modified: 2019-04-01 09:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1686255
: 1694610 1694612 (view as bug list)
Environment:
Last Closed: 2019-03-26 04:22:44 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22388 None Merged glusterd: fix txn-id mem leak 2019-03-26 04:22:42 UTC

Comment 1 Atin Mukherjee 2019-03-21 02:50:59 UTC
Description of problem:
glusterd is leaking memory when issused "gluster vol status tasks" continuosly for 12 hours. The memory increase is from 250MB to 1.1GB. The increase have been 750 MB.


Version-Release number of selected component (if applicable):
glusterfs-3.12.2-45.el7rhgs.x86_64

How reproducible:
1/1

Steps to Reproduce:
1. On a six node cluster with brick-multiplexing enabled
2. Created 150 disperse volumes and 250 replica volumes and started them
3. Taken memory footprint from all the nodes
4. Issued "while true; do gluster volume status all tasks; sleep 2; done" with a time gap of 2 seconds 

Actual results:
Seen a memory increase of glusterd on Node N1 from 260MB to 1.1GB

Expected results:
glusterd memory shouldn't leak

Comment 2 Worker Ant 2019-03-21 02:53:46 UTC
REVIEW: https://review.gluster.org/22388 (glusterd: fix txn-id mem leak) posted (#1) for review on master by Atin Mukherjee

Comment 3 Worker Ant 2019-03-26 04:22:44 UTC
REVIEW: https://review.gluster.org/22388 (glusterd: fix txn-id mem leak) merged (#5) on master by Sanju Rakonde


Note You need to log in before you can comment on or make changes to this bug.